Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.example
Class ExampleExtractor

    java.lang.Object
      org.apache.any23.extractor.example.ExampleExtractor

All Implemented Interfaces:
  org.apache.any23.extractor.Extractor<org.openrdf.model.URI>, org.apache.any23.extractor.Extractor.BlindExtractor

    public class ExampleExtractor

extends Object
implements org.apache.any23.extractor.Extractor.BlindExtractor

Example concrete implementation of `Extractor.BlindExtractor`.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.any23.extractor.Extractor
`org.apache.any23.extractor.Extractor.BlindExtractor, org.apache.any23.extractor.Extractor.ContentExtractor, org.apache.any23.extractor.Extractor.TagSoupDOMExtractor`

Field Summary
`static org.apache.any23.extractor.ExtractorFactory<ExampleExtractor>` | `factory`

Constructor Summary
`ExampleExtractor()`

Method Summary
`org.apache.any23.extractor.ExtractorDescription` | `getDescription()`
`void` | `run(org.apache.any23.extractor.ExtractionParameters extractionParameters, org.apache.any23.extractor.ExtractionContext extractionContext, org.openrdf.model.URI documentURI, org.apache.any23.extractor.ExtractionResult out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    public static final org.apache.any23.extractor.ExtractorFactory<ExampleExtractor> factory

Constructor Detail

### ExampleExtractor

    public ExampleExtractor()

Method Detail

### run

    public void run(org.apache.any23.extractor.ExtractionParameters extractionParameters,
                    org.apache.any23.extractor.ExtractionContext extractionContext,
                    org.openrdf.model.URI documentURI,
                    org.apache.any23.extractor.ExtractionResult out)
             throws IOException,
                    org.apache.any23.extractor.ExtractionException

  Specified by:
    `run` in interface `org.apache.any23.extractor.Extractor<org.openrdf.model.URI>`
  Throws:
    `IOException`
    `org.apache.any23.extractor.ExtractionException`

### getDescription

    public org.apache.any23.extractor.ExtractorDescription getDescription()

  Specified by:
    `getDescription` in interface `org.apache.any23.extractor.Extractor<org.openrdf.model.URI>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.